/*----------------------------------------------------------------------------
 Copyright:      Ulrich Radig, mailto: mail@ulrichradig.de
 Author:         Ulrich Radig, mailto: mail@ulrichradig.de
 Remarks:        
 known Problems: none
 Version:        08.03.2016
 Description:    
------------------------------------------------------------------------------*/

#ifndef _DMX_H
	#define _DMX_H

	#include <stdio.h>
	#include <avr/interrupt.h>
	#include <util/delay.h>
	#include <avr/io.h>

	volatile unsigned char  dmxUniverse1[513];
	volatile unsigned char  dmxUniverse2[513];
	volatile unsigned char  dmxUniverse3[513];
	volatile unsigned char  dmxUniverse4[513];

	enum {BREAK, STARTB, DATA, STOPPED};
	
	#define TRUE					1
	#define FALSE					0
		
	//enum {FALSE, TRUE};
	
	#define IBG   					10		// interbyte gap [us]
	#define REFRESH_INTERVAL		4		// [s]

	void dmx_init(void);

#endif //_DMX_H
